Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 818539 - system-config-selinux can not be run
Summary: system-config-selinux can not be run
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: policycoreutils
Version: 17
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-05-03 10:10 UTC by carasin
Modified: 2012-12-20 16:06 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-20 16:06:38 UTC
Type: Bug


Attachments (Terms of Use)
crash console log (1.56 KB, application/octet-stream)
2012-05-03 10:10 UTC, carasin
no flags Details
It's not possible to install setools package (2.35 KB, application/octet-stream)
2012-05-03 15:58 UTC, carasin
no flags Details

Description carasin 2012-05-03 10:10:31 UTC
Created attachment 581821 [details]
crash console log

Description of problem:

system-config-selinux can not be run. The crash console log is attached.

___________________________________

Version-Release number of selected component (if applicable):

policycoreutils-gui-2.1.11-6.fc17.i686
policycoreutils-2.1.11-6.fc17.i686
python-2.7.3-6.fc17.i686
___________________________________

How reproducible:

always
___________________________________

Steps to Reproduce:

1. $ sudo yum install policycoreutils-gui
2. $ system-config-selinux
3. system-config-selinux fails to start
  
Actual results:

system-config-selinux fails to start (the log is attached)
___________________________________

Expected results:

system-config-selinux runs well
___________________________________

Additional info:

Comment 1 Daniel Walsh 2012-05-03 14:43:41 UTC
Fixed in setools-3.3.7-24.fc17

Comment 2 carasin 2012-05-03 15:58:52 UTC
Created attachment 581894 [details]
It's not possible to install setools package

It's not possible to install setools package. The log is attached.

Comment 3 carasin 2012-05-03 18:06:43 UTC
I've installed all the packages from here: http://koji.fedoraproject.org/koji/buildinfo?buildID=317069 (excluding *.src.rpm, *-devel & *-debuginfo). Now system-config-selinux runs well! Although it says "WARNING: Policy would be downgraded from version 27 to 26".

Thanks!

Comment 4 carasin 2012-05-03 18:21:21 UTC
Probably, setools should be at the policycoreutils-gui dependencies list?

Comment 5 Daniel Walsh 2012-05-03 19:20:28 UTC
Well it does, but a bad setools-console package got into testing and was blowing up other apps.

The new version fixes the problem.

Comment 6 Fedora Update System 2012-10-24 13:04:20 UTC
policycoreutils-2.1.12-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/policycoreutils-2.1.12-4.fc17

Comment 7 carasin 2012-10-24 13:17:18 UTC
I thought this bug was already closed.

Comment 8 Fedora Update System 2012-10-24 23:56:14 UTC
Package policycoreutils-2.1.12-4.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing policycoreutils-2.1.12-4.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16848/policycoreutils-2.1.12-4.fc17
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2012-11-01 01:25:06 UTC
Package policycoreutils-2.1.12-5.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing policycoreutils-2.1.12-5.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16848/policycoreutils-2.1.12-5.fc17
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2012-12-20 16:06:40 UTC
policycoreutils-2.1.12-5.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.